=== debian/changelog ===
distroav (6.1.1-0ubuntu3) resolute; urgency=medium

  * Rebuild against obs-studio 32.0.3
  * d/control: Only build for obs-studio supported architectures.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 05 Dec 2025 17:09:44 -0800

distroav (6.1.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild against obs-studio 32.0.2

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 02 Dec 2025 07:56:43 -0800

distroav (6.1.1-0ubuntu1) resolute; urgency=medium

  * Initial release.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 11 Nov 2025 13:03:11 -0800
