=== debian/control ===
Source: distroav
Section: video
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcurlpp-dev,
 libobs-dev,
 qt6-base-dev
Standards-Version: 4.7.2
Homepage: https://distroav.org

Package: distroav
Architecture: amd64 amd64v3 arm64 riscv64 s390x
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 obs-studio
Description: Network Audio/Video in OBS-Studio using NDI technology
 Formerly obs-ndi, distroav is an NDI plugin for obs-studio.
 NDI is a Network Audio/Video Protocol allowing high quality,
 low latency and multi track audio local streaming.
 .
 Features:
  - Receive NDI video and audio in OBS
  - Transmit OBS video and audio to NDI
  - Transmit a single OBS source or scene audio to NDI.
 .
 Note: This package does NOT include the NDI runtime, which must
 be downloaded and installed separately. This package provides
 instructions on how to do that.
 .
 NDI® is a registered trademark of Vizrt NDI AB
