=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/distroav-$1\.tar\.gz/ \
  https://github.com/distroav/distroav/tags .*/v?(\d\S*)\.tar\.gz
